Skip to main content
GET
Together AI SDK (Python)

Authorizations

Authorization
string
header
default:default
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Deployment ID or name.

revisionIdentifier
string
required

Revision number or revision ID.

Response

Configuration of the specified revision

Deployment configuration captured for one retained revision.

object
any
required

The object type, which is always revision.

revision_id
string
required

Unique revision identifier.

image
string
required

Container image used by this revision.

min_replicas
integer
required

Minimum number of replicas configured for this revision.

max_replicas
integer
required

Maximum number of replicas configured for this revision.

port
integer
required

Container port exposed by this revision.

protocol
string
required

Network protocol served by the deployment revision.

capacity_type
enum<string>
required

Capacity behavior for replicas above reserved capacity.

Available options:
stable,
preemptible
command
string[]
required

Entrypoint command run by the container.

args
string[]
required

Arguments passed to the container command.

environment_variables
object[]
required

Environment variables configured on this revision.

volumes
object[]
required

Volume mounts attached to this revision.

gpu_type
string
required

GPU hardware type configured for this revision.

gpu_count
integer
required

Number of GPUs allocated to each replica.

cpu
number
required

CPU cores allocated to each replica.

memory
number
required

Memory allocated to each replica in GiB.

storage
integer
required

Ephemeral storage allocated to each replica.

health_check_path
string
required

HTTP path used for health checks.

created_at
string<date-time>
required

Time when this revision was created.

autoscaling
object

Autoscaling configuration captured for this revision.

termination_grace_period_seconds
integer

Seconds to wait for graceful shutdown before forcefully terminating a replica.